# APILog

All api log endpoints

## GET /v3/account/apiLog

> Get logs of all API v3 request

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"APILog","description":"All api log endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"APILog":{"type":"object","required":["request","response"],"properties":{"request":{"allOf":[{"$ref":"#/components/schemas/APIRequest"}],"description":"HTTP request object","readOnly":true},"response":{"allOf":[{"$ref":"#/components/schemas/APIResponse"}],"description":"HTTP response object","readOnly":true}},"additionalProperties":false},"APIRequest":{"type":"object","required":["url","method","header","queryParameter","ipAddress","requestTimestamp","body"],"properties":{"url":{"type":"string","format":"","description":"Url of the request","readOnly":true},"method":{"type":"string","format":"","description":"The Http method that was used in the request. Possible values are:\n* GET\n* POST\n* PUT\n* DELETE","readOnly":true},"header":{"type":"object","additionalProperties":false,"description":"Any headers that were sent in the request","readOnly":true},"queryParameter":{"type":"string","format":"","description":"Any query parameters that were passed in the request","readOnly":true},"ipAddress":{"type":"string","format":"","description":"IP address of the client that performed the request","readOnly":true},"requestTimestamp":{"type":"integer","format":"integer","description":"The unix timestamp at which the API received the request","readOnly":true},"body":{"type":"object","additionalProperties":false,"anyOf":[{"type":"object"},{"type":"array"}],"description":"The (optional) body of the request","nullable":true,"readOnly":true}},"additionalProperties":false},"APIResponse":{"type":"object","required":["responseTime","code","body"],"properties":{"responseTime":{"type":"number","format":"float","description":"The time it took from the moment we receive the request from the webserver till the moment we send it back to the client, measured in seconds","readOnly":true},"code":{"type":"integer","format":"integer","description":"HTTP response status code","readOnly":true},"body":{"type":"object","additionalProperties":false,"anyOf":[{"type":"object"},{"type":"array"}],"description":"The body of the response, in case of GET method body will be null","nullable":true,"readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/apiLog":{"get":{"tags":["APILog"],"summary":"Get logs of all API v3 request","operationId":"getAccountApiLogs","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header: RANGED-DATA:start=0,results=25","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/APILog"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/account/apiLog/{requestType}

> Get logs of all API v3 request for the given requestType

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"APILog","description":"All api log endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"APILog":{"type":"object","required":["request","response"],"properties":{"request":{"allOf":[{"$ref":"#/components/schemas/APIRequest"}],"description":"HTTP request object","readOnly":true},"response":{"allOf":[{"$ref":"#/components/schemas/APIResponse"}],"description":"HTTP response object","readOnly":true}},"additionalProperties":false},"APIRequest":{"type":"object","required":["url","method","header","queryParameter","ipAddress","requestTimestamp","body"],"properties":{"url":{"type":"string","format":"","description":"Url of the request","readOnly":true},"method":{"type":"string","format":"","description":"The Http method that was used in the request. Possible values are:\n* GET\n* POST\n* PUT\n* DELETE","readOnly":true},"header":{"type":"object","additionalProperties":false,"description":"Any headers that were sent in the request","readOnly":true},"queryParameter":{"type":"string","format":"","description":"Any query parameters that were passed in the request","readOnly":true},"ipAddress":{"type":"string","format":"","description":"IP address of the client that performed the request","readOnly":true},"requestTimestamp":{"type":"integer","format":"integer","description":"The unix timestamp at which the API received the request","readOnly":true},"body":{"type":"object","additionalProperties":false,"anyOf":[{"type":"object"},{"type":"array"}],"description":"The (optional) body of the request","nullable":true,"readOnly":true}},"additionalProperties":false},"APIResponse":{"type":"object","required":["responseTime","code","body"],"properties":{"responseTime":{"type":"number","format":"float","description":"The time it took from the moment we receive the request from the webserver till the moment we send it back to the client, measured in seconds","readOnly":true},"code":{"type":"integer","format":"integer","description":"HTTP response status code","readOnly":true},"body":{"type":"object","additionalProperties":false,"anyOf":[{"type":"object"},{"type":"array"}],"description":"The body of the response, in case of GET method body will be null","nullable":true,"readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/apiLog/{requestType}":{"get":{"tags":["APILog"],"summary":"Get logs of all API v3 request for the given requestType","operationId":"getAccountApiLog","parameters":[{"name":"requestType","in":"path","description":"The Http method that was used in the call. Possible values are {GET, POST, PUT and DELETE}","required":true,"schema":{"type":"string"}},{"name":"RANGED-DATA","in":"header","description":"Example header: RANGED-DATA:start=0,results=25","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/APILog"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid requestType"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/general/apilog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
